cdac.medinfo.sdk.hl7282.baselibs

## Class XCN

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.XCN

- All Implemented Interfaces:
    IDataType

      public class XCN
      extends CompositeDataType

  XCN - Extended composite ID number and name for persons

  This data type is used extensively appearing in the PV1, ORC, RXO, RXE, OBR and SCH segments, as well as others, where there is a need to specify the ID number and name of a person. Example without assigning authority and assigning facility: |1234567^Smith^John^J^III^DR^PHD^ADT01^^L^4^M11^MR|

  Represents an HL7 XCN data type. This data type has the following attributes:

  1. Person Identifier (ST)Conditional
  2. Family Name (FN)Conditional
  3. Given Name (ST)Optional
  4. Second and Further Given Names or Initials Thereof (ST)Optional
  5. Suffix (e.g., JR or III) (ST)Optional
  6. Prefix (e.g., DR) (ST)Optional
  8. Source Table (CWE)Backward
  9. Assigning Authority (HD)Conditional
  10. Name Type Code (ID)Conditional
  11. Identifier Check Digit (ST)Optional
  12. Check Digit Scheme (ID)Conditional
  13. Identifier Type Code (ID)Conditional
  14. Assigning Facility (HD)Optional
  15. Name Representation Code (ID)Optional
  16. Name Context (CWE)Optional
  18. Name Assembly Order (ID)Optional
  19. Effective Date (DTM)Optional
  20. Expiration Date (DTM)Optional
  21. Professional Suffix (ST)Optional
  22. Assigning Jurisdiction (CWE)Conditional
  23. Assigning Agency or Department (CWE)Conditional

  24. Security Check (ST)Optional

  25. Security Check Scheme (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XCN()` Default Constructor for XCN
    `XCN(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for XCN class which takes two arguments and sets the value in the respective member variable.
    `XCN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for XCN class which takes five arguments and sets the value in the respective member variable.
    `XCN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for XCN class which takes six arguments and sets the value in the respective member variable.
    `XCN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for XCN class which takes four arguments and sets the value in the respective member variable.
    `XCN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for XCN class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getAssigningAgencyorDepartment()` Returns Assigning Agency or Department
    `HD` | `getAssigningAuthority()` Returns Assigning Authority
    `HD` | `getAssigningFacility()` Returns Assigning Facility
    `CWE` | `getAssigningJurisdiction()` Returns Assigning Jurisdiction
    `ID` | `getCheckDigitScheme()` Returns Check Digit Scheme
    `DTM` | `getEffectiveDate()` Returns Effective Date
    `DTM` | `getExpirationDate()` Returns Expiration Date
    `FN` | `getFamilyName()` Returns Family Name
    `ST` | `getGivenName()` Returns Given Name
    `ST` | `getIdentifierCheckDigit()` Returns Identifier Check Digit
    `ID` | `getIdentifierTypeCode()` Returns Identifier Type Code
    `ST` | `getIDNumber()` Returns ID Number
    `ID` | `getNameAssemblyOrder()` Returns Name Assembly Order
    `CWE` | `getNameContext()` Returns Name Context
    `ID` | `getNameRepresentationCode()` Returns Name Representation Code
    `ID` | `getNameTypeCode()` Returns Name Type Code
    `ST` | `getPrefix()` Returns Prefix (e.g., DR)
    `ST` | `getProfessionalSuffix()` Returns Professional Suffix
    `ST` | `getSecondNameInitials()` Returns Second and Further Given Names or Initials Thereof
    `ST` | `getSecurityCheck()` Returns Security Check
    `ID` | `getSecurityCheckScheme()` Returns Security Check Scheme
    `CWE` | `getSourceTable()` Returns Source Table
    `ST` | `getSuffix()` Returns Suffix (e.g., JR or III)
    `void` | `setAssigningAgencyOrDepartment(CWE objAssigningAgencyOrDepartment)` Sets the Assigning Agency Or Department.
    `void` | `setAssigningAuthority(HD objAssigningAuthority)` Sets the Assigning Authority.
    `void` | `setAssigningFacility(HD objAssigningFacility)` Sets the Assigning Facility.
    `void` | `setAssigningJurisdiction(CWE objAssigningJurisdiction)` Sets the Assigning Jurisdiction.
    `void` | `setCheckDigitScheme(ID objID)` Sets the Check Digit Scheme.
    `void` | `setCheckDigitScheme(java.lang.String strCheckDigitScheme)` Sets the Check Digit Scheme.
    `void` | `setEffectiveDate(DTM objEffectiveDate)` Sets the Effective Date.
    `void` | `setEffectiveDate(java.lang.String strEffectiveDate)` Sets the Effective Date.
    `void` | `setExpirationDate(DTM objExpirationDate)` Sets the Expiration Date.
    `void` | `setExpirationDate(java.lang.String strExpirationDate)` Sets the Expiration Date.
    `void` | `setFamilyName(FN objFamilyName)` Sets the Family Name.
    `void` | `setGivenName(ST objST)` Sets the Given Name.
    `void` | `setGivenName(java.lang.String strGivenName)` Sets the Given Name.
    `void` | `setIdentifierCheckDigit(ST objST)` Sets the Identifier CheckDigit.
    `void` | `setIdentifierCheckDigit(java.lang.String strIdentifierCheckDigit)` Sets the Identifier Check Digit.
    `void` | `setIdentifierTypeCode(ID objID)` Sets the Identifier Type Code.
    `void` | `setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)` Sets the Identifier Type Code.
    `void` | `setIdNumber(ST objST)` Sets the Id Number.
    `void` | `setIdNumber(java.lang.String strIdNumber)` Sets the Id Number.
    `void` | `setNameAssemblyOrder(ID objID)` Sets the Name Assembly Order.
    `void` | `setNameAssemblyOrder(java.lang.String strNameAssemblyOrder)` Sets the Name Assembly Order.
    `void` | `setNameContext(CWE objCWE)` Sets the Name Context.
    `void` | `setNameRepresentationCode(ID objID)` Sets the Name Representation Code.
    `void` | `setNameRepresentationCode(java.lang.String strNameRepresentationCode)` Sets the Name Representation Code.
    `void` | `setNameTypeCode(ID objID)` Sets the Name Type Code.
    `void` | `setNameTypeCode(java.lang.String strNameTypeCode)` Sets the Name Type Code.
    `void` | `setPrefix(ST objST)` Sets the Prefix.
    `void` | `setPrefix(java.lang.String strPrefix)` Sets the Prefix.
    `void` | `setProfessionalSuffix(ST objST)` Sets the Professional Suffix.
    `void` | `setProfessionalSuffix(java.lang.String strProfessionalSuffix)` Sets the Professional Suffix.
    `void` | `setSecondNameOrInitials(ST objST)` Sets the Second Name Or Initials.
    `void` | `setSecondNameOrInitials(java.lang.String strSecondNameOrInitials)` Sets the Second Name Or Initials.
    `void` | `setSecurityCheck(ST objST)` Sets the Security Check.
    `void` | `setSecurityCheck(java.lang.String strSecurityCheck)` Sets the Security Check.
    `void` | `setSecurityCheckScheme(ID objID)` Sets the Security Check Scheme.
    `void` | `setSecurityCheckScheme(java.lang.String strSecurityCheckScheme)` Sets the Security Check Scheme.
    `void` | `setSourceTable(CWE objCWE)` Sets the Source Table.
    `void` | `setSourceTable(java.lang.String strSourceTable)` Sets the Source Table.
    `void` | `setSuffix(ST objST)` Sets the Suffix.
    `void` | `setSuffix(java.lang.String strSuffix)` Sets the Suffix.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XCN

          public XCN()

      Default Constructor for XCN

    - #### XCN

          public XCN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for XCN class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XCN

          public XCN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for XCN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XCN

          public XCN(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for XCN class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XCN

          public XCN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for XCN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XCN

          public XCN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for XCN class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setIdNumber

          public void setIdNumber(java.lang.String strIdNumber)

      Sets the Id Number.
      Parameters:
        `strIdNumber` - Refers to the coded ID according to a user-defined table

    - #### setIdNumber

          public void setIdNumber(ST objST)

      Sets the Id Number.
      Parameters:
        `objString` - Refers to the coded ID according to a user-defined table

    - #### setFamilyName

          public void setFamilyName(FN objFamilyName)

      Sets the Family Name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.

    - #### setGivenName

          public void setGivenName(java.lang.String strGivenName)

      Sets the Given Name.
      Parameters:
        `strGivenName` - Specifies First name.

    - #### setGivenName

          public void setGivenName(ST objST)

      Sets the Given Name.
      Parameters:
        `objST` - Specifies First name.

    - #### setSecondNameOrInitials

          public void setSecondNameOrInitials(java.lang.String strSecondNameOrInitials)

      Sets the Second Name Or Initials.
      Parameters:
        `strSecondNameOrInitials` - Specifies multiple middle names that may be included by separating them with spaces.

    - #### setSecondNameOrInitials

          public void setSecondNameOrInitials(ST objST)

      Sets the Second Name Or Initials.
      Parameters:
        `objST` - Specifies multiple middle names that may be included by separating them with spaces.

    - #### setSuffix

          public void setSuffix(java.lang.String strSuffix)

      Sets the Suffix.
      Parameters:
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).

    - #### setSuffix

          public void setSuffix(ST objST)

      Sets the Suffix.
      Parameters:
        `objST` - Used to specify a name suffix (e.g., Jr. or III).

    - #### setPrefix

          public void setPrefix(java.lang.String strPrefix)

      Sets the Prefix.
      Parameters:
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).

    - #### setPrefix

          public void setPrefix(ST objST)

      Sets the Prefix.
      Parameters:
        `objString` - Used to specify a name prefix (e.g., Dr.).

    - #### setSourceTable

          public void setSourceTable(java.lang.String strSourceTable)

      Sets the Source Table.
      Parameters:
        `strSourceTable` - used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 \96 CN ID.]

    - #### setSourceTable

          public void setSourceTable(CWE objCWE)

      Sets the Source Table.
      Parameters:
        `objCWE` - used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 CN ID.]

    - #### setAssigningAuthority

          public void setAssigningAuthority(HD objAssigningAuthority)

      Sets the Assigning Authority.
      Parameters:
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 Assigning authority]

    - #### setNameTypeCode

          public void setNameTypeCode(java.lang.String strNameTypeCode)

      Sets the Name Type Code.
      Parameters:
        `strNameTypeCode` - Specifies a code that represents the type of name.

    - #### setNameTypeCode

          public void setNameTypeCode(ID objID)

      Sets the Name Type Code.
      Parameters:
        `objID` - Specifies a code that represents the type of name.

    - #### setIdentifierCheckDigit

          public void setIdentifierCheckDigit(java.lang.String strIdentifierCheckDigit)

      Sets the Identifier Check Digit.
      Parameters:
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.

    - #### setIdentifierCheckDigit

          public void setIdentifierCheckDigit(ST objST)

      Sets the Identifier CheckDigit.
      Parameters:
        `objST` - Specifies part of the identifying number used in the sending application.

    - #### setCheckDigitScheme

          public void setCheckDigitScheme(java.lang.String strCheckDigitScheme)

      Sets the Check Digit Scheme.
      Parameters:
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].

    - #### setCheckDigitScheme

          public void setCheckDigitScheme(ID objID)

      Sets the Check Digit Scheme.
      Parameters:
        `objID` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)

      Sets the Identifier Type Code.
      Parameters:
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(ID objID)

      Sets the Identifier Type Code.
      Parameters:
        `objID` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].

    - #### setAssigningFacility

          public void setAssigningFacility(HD objAssigningFacility)

      Sets the Assigning Facility.
      Parameters:
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(java.lang.String strNameRepresentationCode)

      Sets the Name Representation Code.
      Parameters:
        `strNameRepresentationCode` - provides an indication of the representation provided by the data item.

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(ID objID)

      Sets the Name Representation Code.
      Parameters:
        `objID` - provides an indication of the representation provided by the data item.

    - #### setNameContext

          public void setNameContext(CWE objCWE)

      Sets the Name Context.
      Parameters:
        `objCWE` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]

    - #### setNameAssemblyOrder

          public void setNameAssemblyOrder(java.lang.String strNameAssemblyOrder)

      Sets the Name Assembly Order.
      Parameters:
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]

    - #### setNameAssemblyOrder

          public void setNameAssemblyOrder(ID objID)

      Sets the Name Assembly Order.
      Parameters:
        `objID` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]

    - #### setEffectiveDate

          public void setEffectiveDate(DTM objEffectiveDate)

      Sets the Effective Date.
      Parameters:
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.

    - #### setEffectiveDate

          public void setEffectiveDate(java.lang.String strEffectiveDate)

      Sets the Effective Date.
      Parameters:
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.

    - #### setExpirationDate

          public void setExpirationDate(DTM objExpirationDate)

      Sets the Expiration Date.
      Parameters:
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.

    - #### setExpirationDate

          public void setExpirationDate(java.lang.String strExpirationDate)

      Sets the Expiration Date.
      Parameters:
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.

    - #### setProfessionalSuffix

          public void setProfessionalSuffix(java.lang.String strProfessionalSuffix)

      Sets the Professional Suffix.
      Parameters:
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).

    - #### setProfessionalSuffix

          public void setProfessionalSuffix(ST objST)

      Sets the Professional Suffix.
      Parameters:
        `objString` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).

    - #### setAssigningJurisdiction

          public void setAssigningJurisdiction(CWE objAssigningJurisdiction)

      Sets the Assigning Jurisdiction.
      Parameters:
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.

    - #### setAssigningAgencyOrDepartment

          public void setAssigningAgencyOrDepartment(CWE objAssigningAgencyOrDepartment)

      Sets the Assigning Agency Or Department.
      Parameters:
        `objAssigningAgencyOrDepartment` - Specifies the agency or department that assigned the identifier.

    - #### setSecurityCheck

          public void setSecurityCheck(java.lang.String strSecurityCheck)

      Sets the Security Check.
      Parameters:
        `strSecurityCheck` - Refers to a version code that may be assigned to the value given in XCN.1 Person Identifier.

    - #### setSecurityCheck

          public void setSecurityCheck(ST objST)

      Sets the Security Check.
      Parameters:
        `objST` - Refers to a version code that may be assigned to the value given in XCN.1 Person Identifier.

    - #### setSecurityCheckScheme

          public void setSecurityCheckScheme(java.lang.String strSecurityCheckScheme)

      Sets the Security Check Scheme.
      Parameters:
        `strSecurityCheckScheme` - is used to transmit information intended to validate the veracity of the supplied identifier or the presenter of the identifier.

    - #### setSecurityCheckScheme

          public void setSecurityCheckScheme(ID objID)

      Sets the Security Check Scheme.
      Parameters:
        `objID` - is used to transmit information intended to validate the veracity of the supplied identifier or the presenter of the identifier.

    - #### getIDNumber

          public ST getIDNumber()

      Returns ID Number
      Returns:
        ST - data type.

    - #### getFamilyName

          public FN getFamilyName()

      Returns Family Name
      Returns:
        FN - data type.

    - #### getGivenName

          public ST getGivenName()

      Returns Given Name
      Returns:
        ST - data type.

    - #### getSecondNameInitials

          public ST getSecondNameInitials()

      Returns Second and Further Given Names or Initials Thereof
      Returns:
        ST - data type.

    - #### getSuffix

          public ST getSuffix()

      Returns Suffix (e.g., JR or III)
      Returns:
        ST - data type.

    - #### getPrefix

          public ST getPrefix()

      Returns Prefix (e.g., DR)
      Returns:
        ST - data type.

    - #### getSourceTable

          public CWE getSourceTable()

      Returns Source Table
      Returns:
        CWE - data type.

    - #### getAssigningAuthority

          public HD getAssigningAuthority()

      Returns Assigning Authority
      Returns:
        HD - data type.

    - #### getNameTypeCode

          public ID getNameTypeCode()

      Returns Name Type Code
      Returns:
        ID - data type.

    - #### getIdentifierCheckDigit

          public ST getIdentifierCheckDigit()

      Returns Identifier Check Digit
      Returns:
        ST - data type.

    - #### getCheckDigitScheme

          public ID getCheckDigitScheme()

      Returns Check Digit Scheme
      Returns:
        ID - data type.

    - #### getIdentifierTypeCode

          public ID getIdentifierTypeCode()

      Returns Identifier Type Code
      Returns:
        ID - data type.

    - #### getAssigningFacility

          public HD getAssigningFacility()

      Returns Assigning Facility
      Returns:
        HD - data type.

    - #### getNameRepresentationCode

          public ID getNameRepresentationCode()

      Returns Name Representation Code
      Returns:
        ID - data type.

    - #### getNameContext

          public CWE getNameContext()

      Returns Name Context
      Returns:
        CWE - data type.

    - #### getNameAssemblyOrder

          public ID getNameAssemblyOrder()

      Returns Name Assembly Order
      Returns:
        ID - data type.

    - #### getEffectiveDate

          public DTM getEffectiveDate()

      Returns Effective Date
      Returns:
        DTM - data type.

    - #### getExpirationDate

          public DTM getExpirationDate()

      Returns Expiration Date
      Returns:
        DTM - data type.

    - #### getProfessionalSuffix

          public ST getProfessionalSuffix()

      Returns Professional Suffix
      Returns:
        ST - data type.

    - #### getAssigningJurisdiction

          public CWE getAssigningJurisdiction()

      Returns Assigning Jurisdiction
      Returns:
        CWE - data type.

    - #### getAssigningAgencyorDepartment

          public CWE getAssigningAgencyorDepartment()

      Returns Assigning Agency or Department
      Returns:
        CWE - data type.

    - #### getSecurityCheck

          public ST getSecurityCheck()

      Returns Security Check
      Returns:
        ST - data type.

    - #### getSecurityCheckScheme

          public ID getSecurityCheckScheme()

      Returns Security Check Scheme
      Returns:
        ST - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.